## octave-io 1.0.6

=== DESCRIPTION ===
Name: io
Version: 1.0.6
Date: 2008-04-29
Author: Various Authors
Maintainer: The Octave Community
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
all: dlmread.oct textread.oct

%.oct: %.cc
	mkoctfile $<

clean:
	-rm *.o core octave-core *.oct *~

## octave-io 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: io
-Version: 1.0.6
-Date: 2008-04-29
+Version: 1.0.8
+Date: 2009-05-08
 Author: Various Authors
 Maintainer: The Octave Community
 Title: Input/Output

## octave-io 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: io
-Version: 1.0.8
+Version: 1.0.9
 Date: 2009-05-08
 Author: Various Authors
 Maintainer: The Octave Community

## octave-io 1.0.12

=== DESCRIPTION ===
Name: io
Version: 1.0.12
Date: 2010-04-13
Author: Various Authors
Maintainer: The Octave Community
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Depends: octave (>= 3.2.0)
Suggested: java-1.2.7+ f Windows, windows-1.0.8+ f Windows, java-1.2.5 f linux
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
all: textread.oct

%.oct: %.cc
	mkoctfile $<

clean:
	-rm *.o core octave-core *.oct *~

=== debian/changelog ===
octave-io (1.0.12-1) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571920)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Bump Standards-Version to 3.8.4 (no changes needed)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Thu, 13 May 2010 22:19:55 +0200

octave-io (1.0.9-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Drop patch dlmwrite-succeed-test.diff, applied upstream
  * Add README.source describing our quilt usage.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 29 Dec 2009 17:56:40 +0100

octave-io (1.0.8-1) unstable; urgency=low

  * New upstream release
  * patches/dlmwrite-succeed-test.diff: New patch for making the test of
    dlmwrite succeed
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
    + (Build-Depends): Drop quilt
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 14:42:32 +0200

octave-io (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable
  * debian/control, debian/rules: Add quilt support
  * debian/patches/only-add-once-to-delim: New patch, fix a test failure

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 05 Apr 2009 18:47:00 +0200

octave-io (1.0.7-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 09 Dec 2008 21:25:15 +0100

octave-io (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 12 May 2008 10:08:37 +0200

octave-io (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468506)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sun, 10 Feb 2008 18:12:10 +0100

## octave-io 1.0.14

=== DESCRIPTION ===
Name: io
Version: 1.0.14
Date: 2011-02-16
Author: Various Authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Problems: Default initial java memory probably too small, increase with java.opts (see documentation)
Depends: octave (>= 3.4.0)
Suggested: java-1.2.8+ f Windows, windows-1.0.8+ f Windows, java-1.2.8 f linux
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== debian/changelog ===
octave-io (1.0.14-2) unstable; urgency=low

  * Upload to unstable

 -- Thomas Weber <tweber@debian.org>  Mon, 11 Apr 2011 22:31:56 +0200

octave-io (1.0.14-1) experimental; urgency=low

  * New upstream release

 -- Thomas Weber <tweber@debian.org>  Sun, 10 Apr 2011 17:54:54 +0200

octave-io (1.0.13-1) experimental; urgency=low

  * New upstream release 

 -- Thomas Weber <tweber@debian.org>  Thu, 02 Sep 2010 22:33:31 +0200

=== debian/control ===
Source: octave-io
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/io
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-io.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-io.git

Package: octave-io
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: input/output data functions for Octave
 This package provides functions to input/output data in different
 formats in Octave, a numerical computation software. It contains
 functions to add variables to existing save files (append_save), read
 and write matrixes to a text file (dlmwrite, csvread, csvwrite) and
 read excel tables (xlsread).
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-io 1.0.17

=== DESCRIPTION ===
Name: io
Version: 1.0.17
Date: 2012-02-27
Author: Various Authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Problems: Default initial java memory probably too small, increase with java.opts (see documentation). No OXS write support. UNO support experimental
Depends: octave (>= 3.4.0)
Suggested: java-1.2.8+ f Windows, windows-1.0.10+ f Windows, java-1.2.8 f linux
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== debian/changelog ===
octave-io (1.0.17-1) unstable; urgency=low

  [ Thomas Weber ]
  * Change architecture to "all". The packages doesn't contain any compiled
    code anymore.

  [ Sébastien Villemot ]
  * Imported Upstream version 1.0.17
  * Remove ${shlibs:Depends}, meaningless for an arch:all package
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to compile against Octave 3.6
    (Closes: #649395)
  * Add Sébastien Villemot to Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * Include HTML documentation in the package
  * debian/copyright: upgrade to machine-readable format 1.0
  * Recommend octave-java, libreoffice-java-common, ure, libjexcelapi-java
  * debian/patches/configure-java-classpath.patch: new patch
  * Add README.Debian about spreadsheet support
  * debian/control: mention OpenDocument spreadsheet in long description

 -- Thomas Weber <tweber@debian.org>  Tue, 20 Mar 2012 00:36:43 +0100

=== debian/control ===
Source: octave-io
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/io
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-io.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-io.git

Package: octave-io
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Recommends: octave-java (>= 1.2.8), libreoffice-java-common, ure,
            libjexcelapi-java
Description: input/output data functions for Octave
 This package provides functions to input/output data in different
 formats in Octave, a numerical computation software. It contains
 functions to add variables to existing save files (append_save), read
 and write matrixes to a text file (dlmwrite, csvread, csvwrite) and
 read Excel spreadsheet (xlsread) and OpenDocument spreadsheet (odsread).
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/io-([\d.]+)\.tar\.gz\?download

## octave-io 1.0.19

=== DESCRIPTION ===
Name: io
Version: 1.0.19
Date: 2012-06-08
Author: various authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Problems: Default initial java memory probably too small, increase with
 java.opts (see documentation). No OXS write support. UNO support experimental.
Depends: octave (>= 3.4.0)
Suggested: java (>= 1.2.8), windows (>= 1.0.10)
Autoload: yes
License: GPLv3+, simplified BSD
Url: http://octave.sf.net

=== debian/changelog ===
octave-io (1.0.19-1) unstable; urgency=low

  * Imported Upstream version 1.0.19

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 17 Jun 2012 08:12:01 +0000

octave-io (1.0.18-2) unstable; urgency=medium

  * configure-java-classpath.patch: update patch to avoid breakage of
    octave-java

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sat, 09 Jun 2012 15:22:18 +0200

octave-io (1.0.18-1) unstable; urgency=low

  * Imported Upstream version 1.0.18
  * debian/README.Debian: more details about spreadsheet formats supported
  * Change architecture to "any" and add ${shlibs:Depends}
    Compiled code has been reintroduced in the package
  * debian/control: recommend LibreOffice URE >= 3.5
  * debian/watch: use SourceForge redirector
  * debian/copyright: reflect upstream changes
  * debian/patches/configure-java-classpath.patch: refresh patch
  * debian/patches/no-flexml.patch: new patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 02 Apr 2012 23:10:25 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-io.git
 
 Package: octave-io
-Architecture: all
-Depends: ${misc:Depends}, ${octave:Depends}
-Recommends: octave-java (>= 1.2.8), libreoffice-java-common, ure,
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
+Recommends: octave-java (>= 1.2.8), libreoffice-java-common, ure (>= 3.5),
             libjexcelapi-java
 Description: input/output data functions for Octave
  This package provides functions to input/output data in different

## octave-io 1.2.2

=== DESCRIPTION ===
Name: io
Version: 1.2.2
Date: 2013-05-21
Author: various authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Problems: Default initial Java memory probably too small, increase with
 java.opts (see documentation). No OXS write support. UNO support experimental.
Depends: octave (>= 3.4.0), octave (< 3.7.1)
Suggested: java (>= 1.2.8), windows (>= 1.0.10)
Autoload: no
License: GPLv3+, simplified BSD
Url: http://octave.sf.net

=== debian/changelog ===
octave-io (1.2.2-1) unstable; urgency=low

  * Imported Upstream version 1.2.2
  * debian/copyright: reflect upstream changes
  * autoload-yes.patch: refresh patch
  * private-testsuite.patch: remove patch (upstream disabled tests in private
    functions)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 26 May 2013 10:07:48 +0200

octave-io (1.2.1-2) unstable; urgency=low

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 May 2013 14:59:56 +0200

octave-io (1.2.1-1) experimental; urgency=low

  * Imported Upstream version 1.2.1
  * debian/copyright: reflect upstream changes
  * configure-java-classpath.patch: refresh patch
  * autoload-yes.patch: new patch, forces autoloading of package
  * private-testsuite.patch: new patch, deals with tests under private/
  * Bump Standards-Version to 3.9.4, no changes needed
  * Use my @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * Add Build-Conflicts with octave-java.
    If octave-java is installed, the testsuite fails because PKG_ADD tries to
    load chk_spreadsheet_support, which is not yet in the path at that moment.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 17 Apr 2013 11:39:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.3
+Build-Conflicts: octave-java
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/io
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-io.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-io.git

## octave-io 2.0.2

=== DESCRIPTION ===
Name: io
Version: 2.0.2
Date: 2014-01-09
Author: various authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Problems: Default initial Java memory probably too small, increase with java.opts (see documentation). No OXS write support. UNO support experimental.
Depends: octave (>= 3.7.2)
Suggested: windows (>= 1.2.1)
Autoload: no
License: GPLv3+, simplified BSD
Url: http://octave.sf.net

=== src/Makefile ===
all: csvexplode.oct csv2cell.oct csvconcat.oct cell2csv.oct xmlread.oct

## Compiling these function does produces warnings but seems there is no one
## to fix them so we do not enable Wall. Just for reference, here they are
## xmltree_read.l: In function ‘xml_lex’:
## xmltree_read.l:407: warning: operation on ‘pcdata’ may be undefined
## xmltree_read.l:492: warning: operation on ‘pcdata’ may be undefined
## xmltree_read.l:627: warning: operation on ‘pcdata’ may be undefined
## xmltree_read.l:673: warning: operation on ‘pcdata’ may be undefined
## xmltree_read.l:726: warning: operation on ‘pcdata’ may be undefined
## xmltree_read.act: At top level:
## xmltree_read.l:150: warning: ‘bufferliteral’ defined but not used
## xmltree_read.l:1221: warning: ‘input’ defined but not used
#MKOCTFILE = mkoctfile -Wall
MKOCTFILE = mkoctfile

ifdef FLEXML
# flexml is a dead project.  It requires flex 2.5.4a-6  (flex-old on Debian).
# Further, we have modified the resulting xmltree_read.c by hand, changing
# all occurrences of yy to xml_ and YY to XML_. Some other changes have be
# mode so the ouput of flexml won't be as correct as the actual committed C
# file
xmltree_read.l: xmltree_read.act octave.dtd
	 $(FLEXML) -A -a $^
xmltree_read.c: xmltree_read.l
	$(FLEX) -B -Pxml_ -o$@ $<
endif

xmltree.o: xmltree.c xmltree.h
	$(MKOCTFILE) -c $<

xmltree_read.o: xmltree_read.c xmltree_read.h
	$(MKOCTFILE) -c $<

xmlread.o: xmlread.cc xmltree_read.h xmltree.h
	$(MKOCTFILE) -c $<

xmlread.oct: xmlread.o xmltree_read.o xmltree.o
	$(MKOCTFILE) $^

%.oct: %.cc
	$(MKOCTFILE) $<

clean:
	rm -f *.o octave-core core *.oct *~

=== debian/changelog ===
octave-io (2.0.2-1ubuntu1) trusty; urgency=medium

  * Don't (build-) depend on libreoffice on arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2014 10:29:14 +0100

octave-io (2.0.2-1) unstable; urgency=low

  * Imported Upstream version 2.0.2
  * debian/copyright: reflect upstream changes.
  * Build-depend on octave 3.8.
  * Remove dependencies on octave-java, which is now part of octave core.
  * Update patches:
    + configure-java-classpatch.patch: no longer needed
    + uno.patch: new patch, fixes detection of UNO interface
    + low-priority-for-UNO.patch: new patch, lowers priority of UNO interface
  * Add a testsuite for {xls,ods}read on various example files.
  * Update Recommends for interfaces:
    + OCT needs unzip
    + UNO now needs libreoffice-core instead of ure

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 20 Feb 2014 16:03:00 +0100

octave-io (1.2.5-1) unstable; urgency=low

  * Imported Upstream version 1.2.5
  * debian/copyright: reflect upstream changes
  * Recommend libapache-poi-java.
    That package now contains the JARs necessary for the POI+OOXML interface.
  * low-priority-for-POI.patch: new patch.
    Puts the POI interface at the tail of the interface priority list. The
    interface does not seem to work correctly for now.
  * README.Debian: update information about POI and OCT interfaces.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 16 Nov 2013 15:11:56 +0100

octave-io (1.2.4-1) unstable; urgency=low

  * Imported Upstream version 1.2.4
  * debian/copyright: reflect upstream changes.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Nov 2013 13:54:20 +0000

octave-io (1.2.3-2) unstable; urgency=low

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Sébastien Villemot ]
  * no-flexml.patch: also remove the .l file in the patch.
    This should fix the occasional FTBFS on some autobuilders.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 27 Aug 2013 14:55:50 +0200

octave-io (1.2.3-1) unstable; urgency=low

  * Imported Upstream version 1.2.3

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 16 Aug 2013 23:01:06 +0200

=== debian/control ===
Source: octave-io
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1),
               libreoffice-java-common [!arm64 !ppc64el], libreoffice-core (>= 3.5) [!arm64 !ppc64el],
               libjexcelapi-java, libapache-poi-java (>= 3.9-1~),
               unzip
Standards-Version: 3.9.5
Homepage: http://octave.sourceforge.net/io
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-io.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-io.git

Package: octave-io
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Recommends: libreoffice-java-common [!arm64 !ppc64el], libreoffice-core (>= 3.5) [!arm64 !ppc64el],
            libjexcelapi-java, libapache-poi-java (>= 3.9-1~),
            unzip
Description: input/output data functions for Octave
 This package provides functions to input/output data in different
 formats in Octave, a numerical computation software. It contains
 functions to add variables to existing save files (append_save), read
 and write matrixes to a text file (dlmwrite, csvread, csvwrite) and
 read Excel spreadsheet (xlsread) and OpenDocument spreadsheet (odsread).
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/io-(.+)\.tar\.gz

## octave-io 2.2.3

=== debian/changelog ===
octave-io (2.2.3-1) unstable; urgency=medium

  * Imported Upstream version 2.2.3
  * Remove Thomas Weber from Uploaders.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 15 Aug 2014 15:37:40 +0200

octave-io (2.2.2-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 28 May 2014 16:24:45 +0200

octave-io (2.2.1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.1
  * Since 2.2.0, java libraries are no longer autoloaded. Therefore:
    - mention this in NEWS.Debian
    - explain in README.Debian how to manually load java libraries
    - explicitly run chk_spreadsheet_support in testsuite, but without UNO
      support since it does not work in chroots (and therefore drop
      build-dependencies on libreoffice)
    - drop low-priority-for-UNO.patch, since it is now less relevant
  * Drop low-priority-for-POI.patch, no longer needed (#739602 was fixed in
    2.2.0-1).
  * Simplify uno.patch.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 30 Apr 2014 13:11:07 +0200

octave-io (2.2.0-1) unstable; urgency=low

  * Imported Upstream version 2.2.0
    + New version can successfully load Gnumeric files via the OCT interface
      (closes: #739632)
  * Refresh patches
  * Add dep3 description to uno.patch

 -- Thomas Weber <tweber@debian.org>  Tue, 22 Apr 2014 11:54:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1),
-               libreoffice-java-common [!arm64 !ppc64el], libreoffice-core (>= 3.5) [!arm64 !ppc64el],
                libjexcelapi-java, libapache-poi-java (>= 3.9-1~),
                unzip
 Standards-Version: 3.9.5
@@ -16,7 +14,7 @@
 Package: octave-io
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
-Recommends: libreoffice-java-common [!arm64 !ppc64el], libreoffice-core (>= 3.5) [!arm64 !ppc64el],
+Recommends: libreoffice-java-common, libreoffice-core (>= 3.5),
             libjexcelapi-java, libapache-poi-java (>= 3.9-1~),
             unzip
 Description: input/output data functions for Octave

## octave-io 2.2.4

=== DESCRIPTION ===
Name: io
Version: 2.2.4
Date: 2014-09-11
Author: various authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Problems: Default initial Java memory probably too small, increase with java.opts (see documentation). No OXS write support. UNO support experimental.
Depends: octave (>= 3.8.0)
Suggested: windows (>= 1.2.1)
Autoload: no
License: GPLv3+, simplified BSD
Url: http://octave.sf.net

=== debian/changelog ===
octave-io (2.2.4-1build2) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Aug 2015 12:32:29 +0000

octave-io (2.2.4-1build1) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Aug 2015 12:00:14 +0000

octave-io (2.2.4-1) unstable; urgency=medium

  * Imported Upstream version 2.2.4
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 18 Sep 2014 16:02:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: octave-io
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1),
                libjexcelapi-java, libapache-poi-java (>= 3.9-1~),
                unzip
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/io
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-io.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-io.git

## octave-io 2.4.0

=== DESCRIPTION ===
Name: io
Version: 2.4.0
Date: 2015-12-23
Author: various authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Problems: Default initial Java memory probably too small, increase with java.opts (see documentation). UNO support experimental.
Depends: octave (>= 3.8.0), Octave (< 4.2.0)
Suggested: windows (>= 1.2.1); Java JRE (> 1.6)
Autoload: no
License: GPLv3+, simplified BSD
Url: http://octave.sf.net

=== debian/changelog ===
octave-io (2.4.0-1) unstable; urgency=medium

  * Imported Upstream version 2.4.0
  * d/copyright: reflect upstream changes.
  * no-flexml.patch: drop patch, no longer needed.
  * Activate JOpenDocument interface (library now packaged in Debian).
    + Add libjopendocument-java to B-D and Recommends.
    + Mention the interface in README.Debian.
    + Add an interface-specific test to debian/check.m.
  * Add libxerces2-java to Recommends, used by xml{read,write}.m.
  * Register READ-{ODS,XLS}.html to doc-base.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 Jan 2016 14:40:23 +0100

octave-io (2.2.11-1) unstable; urgency=medium

  * Imported Upstream version 2.2.11

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 26 Oct 2015 14:36:19 +0100

octave-io (2.2.10-1) unstable; urgency=medium

  * Imported Upstream version 2.2.10
  * d/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 01 Oct 2015 22:25:49 +0200

octave-io (2.2.9-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.2.9
  * Bump dependency on octave-pkg-dev to 1.3.1.
    Needed to avoid a spurious octave-Octave in Depends field.

  [ Rafael Laboissiere ]
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * d/copyright: Reflect upstream changes
  * d/p/uno.patch: Refresh for new upstream version
  * d/NEWS: Use regular paragraphs

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 11 Sep 2015 08:47:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: octave-io
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1),
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.3.1),
                libjexcelapi-java, libapache-poi-java (>= 3.9-1~),
-               unzip
+               unzip, libjopendocument-java
 Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/io
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-io.git
@@ -17,7 +16,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
 Recommends: libreoffice-java-common, libreoffice-core (>= 3.5),
             libjexcelapi-java, libapache-poi-java (>= 3.9-1~),
-            unzip
+            unzip, libjopendocument-java, libxerces2-java (>= 2.11.0)
 Description: input/output data functions for Octave
  This package provides functions to input/output data in different
  formats in Octave, a numerical computation software. It contains

## octave-io 2.4.1

=== debian/changelog ===
octave-io (2.4.1-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.4.1
  * d/copyright: reflect upstream changes.

  [ Rafael Laboissiere ]
  * d/control: Use secure URIs in the Vcs-* fields
  * d/control: Bump Standards-Version to 3.9.7 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 27 Mar 2016 21:17:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.3.1),
                libjexcelapi-java, libapache-poi-java (>= 3.9-1~),
                unzip, libjopendocument-java
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://octave.sourceforge.net/io
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-io.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-io.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-io.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-io.git
 
 Package: octave-io
 Architecture: any

## octave-io 2.4.2

=== DESCRIPTION ===
Name: io
Version: 2.4.2
Date: 2016-07-04
Author: various authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Problems: Default initial Java memory probably too small, increase with java.opts (see documentation). UNO support experimental.
Depends: octave (>= 3.8.0), Octave (< 4.4.0)
Suggested: windows (>= 1.2.1); Java JRE (> 1.6)
Autoload: no
License: GPLv3+, simplified BSD
Url: http://octave.sf.net

=== debian/changelog ===
octave-io (2.4.2-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.4.2
  * d/copyright: reflect upstream changes.
  * d/p/uno.patch: drop patch, no more needed with recent LO.

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.8 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 14 Jul 2016 16:42:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.3.1),
                libjexcelapi-java, libapache-poi-java (>= 3.9-1~),
                unzip, libjopendocument-java
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/io
 Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-io.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-io.git

## octave-io 2.4.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: io
-Version: 2.4.2
-Date: 2016-07-04
+Version: 2.4.5
+Date: 2016-11-08
 Author: various authors
 Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
 Title: Input/Output

=== debian/changelog ===
octave-io (2.4.5-1) unstable; urgency=medium

  * New upstream version 2.4.5
  * d/p/ods-oct.patch: new patch, fixes reading of ODS with OCT interface.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 26 Dec 2016 13:41:08 +0100

octave-io (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4
  * d/copyright: reflect upstream changes.
  * Use autopkgtest for running xls(x)/oct/gnumeric reading tests.
  * d/control: add missing default-jre-headless to Recommends.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 06 Nov 2016 22:34:04 +0100

octave-io (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3
  * d/copyright: reflect upstream changes.
  * Bump to debhelper compat level 10.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 19 Sep 2016 00:48:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.3.1),
-               libjexcelapi-java, libapache-poi-java (>= 3.9-1~),
-               unzip, libjopendocument-java
+Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.3.1)
 Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/io
 Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-io.git
@@ -16,7 +14,8 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
 Recommends: libreoffice-java-common, libreoffice-core (>= 3.5),
             libjexcelapi-java, libapache-poi-java (>= 3.9-1~),
-            unzip, libjopendocument-java, libxerces2-java (>= 2.11.0)
+            unzip, libjopendocument-java, libxerces2-java (>= 2.11.0),
+            default-jre-headless
 Description: input/output data functions for Octave
  This package provides functions to input/output data in different
  formats in Octave, a numerical computation software. It contains

=== debian/tests/control ===
Tests: xls-default, xls-jxl, xls-poi, xlsx-default, xlsx-oct, xlsx-poi, ods-default, ods-jod, ods-oct, gnumeric-default
Depends: octave-io, default-jre-headless, libjexcelapi-java, libapache-poi-java, unzip, libjopendocument-java

## octave-io 2.4.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: io
-Version: 2.4.5
-Date: 2016-11-08
+Version: 2.4.7
+Date: 2017-03-13
 Author: various authors
 Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
 Title: Input/Output

=== debian/changelog ===
octave-io (2.4.7-1build1) artful; urgency=medium

  * No-change rebuild against new octave.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 20 Jun 2017 12:05:30 +0200

octave-io (2.4.7-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.4.7
  * d/p/ods-oct.patch: drop patch, applied upstream.
  * d/copyright:
    + Reflect upstream changes.
    + Use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 09 Jun 2017 16:38:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/io
 Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-io.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-io.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/octave-io.git
 
 Package: octave-io
 Architecture: any

## octave-io 2.4.10

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --no-history --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
# html_options = --eval 'options = get_html_options ("octave-forge");' \
#                --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' dirs = {"inst", "src"}; \
  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
    else __run_test_suite__ (dirs, {}); endif '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-io (2.4.10-3) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Sébastien Villemot ]
  * drop-version-number-check-for-outdated-versions-of-JRE.patch: new patch.
    Thanks to Mike Miller (Closes: #894348)
  * Allow stderr messages in autopkgtest, needed for Apache POI since the move
    to Java 9.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 05 Apr 2018 11:05:35 +0200

octave-io (2.4.10-2) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control: Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:32:05 -0200

octave-io (2.4.10-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.4.10
  * d/copyright: reflect upstream changes.
  * Remove Testsuite: autopkgtest-pkg-octave.
    This is unneeded since there is already a custom testsuite.
  * d/clean: remove files generated by configure script.

  [ Rafael Laboissiere ]
  * d/control: Use Debian's GitLab URLs in Vcs-* headers

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 16 Jan 2018 11:47:34 +0100

octave-io (2.4.8-2) unstable; urgency=medium

  * Team upload.

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:42 -0200

octave-io (2.4.8-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.4.8
  * d/copyright: reflect upstream changes.
  * Remove unnecessary versioned depends on libreoffice-core and
    libxerces2-java.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.1 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 27 Oct 2017 14:09:18 +0200

=== debian/control ===
Source: octave-io
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-octave
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-io
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-io.git
Homepage: https://octave.sourceforge.io/io/

Package: octave-io
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${octave:Depends}
Recommends: libreoffice-java-common,
            libreoffice-core,
            libjexcelapi-java,
            libapache-poi-java (>= 3.9-1~),
            unzip,
            libjopendocument-java,
            libxerces2-java,
            default-jre-headless
Description: input/output data functions for Octave
 This package provides functions to input/output data in different
 formats in Octave, a numerical computation software. It contains
 functions to add variables to existing save files (append_save), read
 and write matrixes to a text file (dlmwrite, csvread, csvwrite) and
 read Excel spreadsheet (xlsread) and OpenDocument spreadsheet (odsread).
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/io-(.+)\.tar\.gz

## octave-io 2.4.11

=== debian/changelog ===
octave-io (2.4.11-1build2) cosmic; urgency=medium

  * No-change rebuild against octave 4.4.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 11 Sep 2018 21:49:14 +0000

octave-io (2.4.11-1build1) cosmic; urgency=medium

  * No-change rebuild against octave 4.4

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 09 Jul 2018 18:37:09 +0000

octave-io (2.4.11-1) unstable; urgency=medium

  * New upstream version 2.4.11
  * d/copyright: reflect upstream changes.
  * Bump S-V to 4.1.4.
  * Drop drop-version-number-check-for-outdated-versions-of-JRE.patch.
    No longer needed.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 08 May 2018 10:29:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                dh-octave
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-io
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-io.git
 Homepage: https://octave.sourceforge.io/io/
